#!/bin/bash

##
# Tagged version
TAG="kup-0.3"

##
# if we're grabbing a post-release commit. Leave blank otherwise.
REV=

git clone git://git.kernel.org/pub/scm/utils/kup/kup.git

pushd kup
if [ ! -z "${REV}" ]; then
    DATE=`git show -s --format="%ci" ${REV} | awk '{print $1}' | sed 's/-//g'`
    PREFIX="${TAG}-${DATE}git${REV}"
    TREE=${REV}
else
    PREFIX="${TAG}"
    TREE="${TAG}"
fi

git archive \
    --format tar.gz \
    --prefix=${PREFIX}/ \
    -o ${PREFIX}.tar.gz \
    ${TREE}

mv ${PREFIX}.tar.gz ../
popd
rm -rf kup
