Name:       kup
Version:    0.3
Release:    2%{?dist}
Summary:    Kernel.org Uploader

Group:      Development/Tools
License:    GPLv2
URL:        https://git.kernel.org/?p=utils/kup/kup.git;a=summary
Source0:    kup-%{version}.tar.gz
Source1:    kup-generate-tarball.sh
Source2:    kup-server-tmpfiles.conf
BuildArch:  noarch
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
Kup is a secure upload tool used by kernel developers to upload
cryptographically verified packages to kernel.org.

This package includes the client-side kup utility.


%package server
Summary:    Kernel.org Uploader - server utilities
Requires:   initscripts
Requires:   gnupg, xz

%description server
Kup is a secure upload tool used by kernel developers to upload
cryptographically verified packages to kernel.org.

This package includes the server-side kup-server utility.


%package server-utils
Summary:    Kernel.org Uploader - administration tools
Requires:   kup-server = %{version}-%{release}

%description server-utils
Kup is a secure upload tool used by kernel developers to upload
cryptographically verified packages to kernel.org.

This package includes additional tools to help in kup-server administration.


%prep
%setup -q


%build


%install
rm -rf %{buildroot}
mkdir -pm 0755 \
    %{buildroot}%{_bindir}      \
    %{buildroot}%{_mandir}/man1

install -pm 0755 kup gpg-sign-all genrings kup-server %{buildroot}%{_bindir}
install -pm 0644 kup.1 %{buildroot}%{_mandir}/man1/

# Runtime directories and files
mkdir -pm 0755 \
    %{buildroot}%{_sharedstatedir}/kup/{pub,tmp,pgp} \
    %{buildroot}%{_sysconfdir}/tmpfiles.d
install -pm 0644 %{SOURCE2} \
    %{buildroot}%{_sysconfdir}/tmpfiles.d/kup-server.conf

mkdir -p %{buildroot}%{_localstatedir}/run/kup
touch %{buildroot}%{_localstatedir}/run/kup/lock


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/kup
%{_mandir}/man1/kup.*

%files server
%defattr(-,root,root,-)
%doc README test
%config(noreplace) %{_sysconfdir}/tmpfiles.d/kup-server.conf
%{_bindir}/kup-server
%dir %attr(1777,root,root) %{_sharedstatedir}/kup/tmp
%dir %{_sharedstatedir}/kup
%dir %{_sharedstatedir}/kup/pgp
%dir %{_sharedstatedir}/kup/pub
%dir %{_localstatedir}/run/kup
%{_localstatedir}/run/kup/lock


%files server-utils
%{_bindir}/gpg-sign-all
%{_bindir}/genrings


%changelog
* Fri Nov 18 2011 Konstantin Ryabitsev <mricon@kernel.org> - 0.3-2
- Require gnupg and xz for kup-server (gzip and bzip2 are in base)

* Wed Nov 16 2011 Konstantin Ryabitsev <mricon@kernel.org> - 0.3-1
- Use the git-checkout notation as per Fedora guidelines.
- Move "test" dir to be with the -server package.
- Make kup-client to just be the "kup" package.
- Provide the kup-generate-tarball.sh script to automate tarball generation.
- Create a -server-utils subpackage for gpg-sign-all and genrings tools.
- Create a tmpfiles entry for systemd (needed for F15 and above).

* Mon Nov 14 2011 Konstantin Ryabitsev <mricon@kernel.org>
- Match Fedora's spec format.
- Generate runtime directories.

* Mon Oct 17 2011 John 'Warthog9' Hawley <warthog9@kernel.org>
- created spec file
